org.apache.calcite.avatica

## Class Meta.Signature

- java.lang.Object
- - org.apache.calcite.avatica.Meta.Signature

Enclosing interface:
  Meta

    public static class Meta.Signature
    extends Object

Result of preparing a statement.

### Field Summary

Fields
`List<ColumnMetaData>` `columns`
`Meta.CursorFactory` `cursorFactory`
`Map<String,Object>` `internalParameters`
`List<AvaticaParameter>` `parameters`
`String` `sql`
`Meta.StatementType` `statementType`

### Constructor Summary

Constructors
Constructor and Description
`Signature(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Map<String,Object> internalParameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)` Creates a Signature.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Meta.Signature` `create(List<ColumnMetaData> columns, String sql, List<AvaticaParameter> parameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)` Used by Jackson to create a Signature by de-serializing JSON.
`boolean` `equals(Object o)`
`static Meta.Signature` `fromProto(org.apache.calcite.avatica.proto.Common.Signature protoSignature)`
`int` `hashCode()`
`Meta.Signature` `sanitize()` Creates a copy of this Signature with null lists and maps converted to empty.
`Meta.Signature` `setCursorFactory(Meta.CursorFactory cursorFactory)` Returns a copy of this Signature, substituting given CursorFactory.
`org.apache.calcite.avatica.proto.Common.Signature` `toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columns

    public final List<ColumnMetaData> columns

#### sql

    public final String sql

#### parameters

    public final List<AvaticaParameter> parameters

#### internalParameters

    public final transient Map<String,Object> internalParameters

#### cursorFactory

    public final Meta.CursorFactory cursorFactory

#### statementType

    public final Meta.StatementType statementType

### Constructor Detail

#### Signature

    public Signature(List<ColumnMetaData> columns,
                     String sql,
                     List<AvaticaParameter> parameters,
                     Map<String,Object> internalParameters,
                     Meta.CursorFactory cursorFactory,
                     Meta.StatementType statementType)

Creates a Signature.

### Method Detail

#### create

    public static Meta.Signature create(List<ColumnMetaData> columns,
                                        String sql,
                                        List<AvaticaParameter> parameters,
                                        Meta.CursorFactory cursorFactory,
                                        Meta.StatementType statementType)

Used by Jackson to create a Signature by de-serializing JSON.

#### setCursorFactory

    public Meta.Signature setCursorFactory(Meta.CursorFactory cursorFactory)

Returns a copy of this Signature, substituting given CursorFactory.

#### sanitize

    public Meta.Signature sanitize()

Creates a copy of this Signature with null lists and maps converted to empty.

#### toProto

    public org.apache.calcite.avatica.proto.Common.Signature toProto()

#### fromProto

    public static Meta.Signature fromProto(org.apache.calcite.avatica.proto.Common.Signature protoSignature)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`